Subject: Re: [PATCH 2/2] ACPI Check for backlight support via ACPI video.ko otherwise use vendor ACPI drivers

From: Thomas Renninger <[email-masked]>
Date: Thu, 10 Jul 2008 14:19:04 +0200

On Thursday 10 July 2008 13:53:17 Matthew Garrett wrote:
> On Thu, Jul 10, 2008 at 01:36:04PM +0200, Thomas Renninger wrote:
> > On Thursday 10 July 2008 13:19:00 Matthew Garrett wrote:
> > > No, I said that on Thinkpads with a PWM method, the PWM method has to
> > > be called in order to avoid the delay. There's no need for a blacklist.
> >
> > Ok.
> > I just got a report that Dells must not use the video driver:
> > https://bugzilla.novell.com/show_bug.cgi?id=404627
> >
> > They have a really ugly dcdbas driver which issues SMIs triggered from
> > userspace.
>
> If the ACPI video driver has bound, then using the dcdbas mechanism for
> backlight control is incorrect. I wasn't aware that any Dells actually
> implemented that. The correct thing is for userspace to stop using
> dcdbas if a real backlight control is available, not to cripple the
> ACPI video driver.

Yes, I agree.
Anyway, given the fact that video.ko was rather broken all the time, a 
reasonable solution for now is to exclude Dells from using it.

The dcdbas driver writers (I expect Dell itself has its finger on this one) 
should get informed and solution will be found. video_detect.c probably will 
help here.

        Thomas